r17953: run bin/talloctort with samba3's make test
authorStefan Metzmacher <metze@samba.org>
Thu, 31 Aug 2006 07:43:57 +0000 (07:43 +0000)
committerGerald (Jerry) Carter <jerry@samba.org>
Wed, 10 Oct 2007 16:39:44 +0000 (11:39 -0500)
metze
(This used to be commit 2d3ab069ddcb28ebd7cc72021a3510a606b50630)

source3/script/tests/test_local_s3.sh [new file with mode: 0755]
source3/script/tests/tests_all.sh

diff --git a/source3/script/tests/test_local_s3.sh b/source3/script/tests/test_local_s3.sh
new file mode 100755 (executable)
index 0000000..083162d
--- /dev/null
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+# this runs the file serving tests that are expected to pass with samba3
+
+if [ $# != 0 ]; then
+cat <<EOF
+Usage: test_local_s3.sh
+EOF
+exit 1;
+fi
+
+incdir=`dirname $0`
+. $incdir/test_functions.sh
+
+failed=0
+
+testit "talloctort" $VALGRIND $BINDIR/talloctort || \
+    failed=`expr $failed + 1`
+
+testok $0 $failed
index 059f9d1a376fd38430fcd621e895404ccd001a7a..dd593899e4b72e907cbc02699bc6722b8a9e72cc 100755 (executable)
@@ -1,4 +1,5 @@
 
+$SCRIPTDIR/test_local_s3.sh || failed=`expr $failed + $?`
 $SCRIPTDIR/test_smbtorture_s3.sh //$SERVER_IP/tmp $USERNAME $PASSWORD "" || failed=`expr $failed + $?`
 $SCRIPTDIR/test_smbclient_s3.sh $SERVER $SERVER_IP || failed=`expr $failed + $?`